Problem with installing virtualmin

[code]Checking for HTTP client…found /usr/bin/wget -nv
Checking for perl…found /usr/bin/perl
2011-08-10 12:06:02 URL:http://software.virtualmin.com/lib/spinner [579/579] -> “spinner” [1]
Loading log4sh logging library…
2011-08-10 12:06:04 URL:http://software.virtualmin.com/lib/log4sh [21395/21395] -> “log4sh” [1]
INFO - Started installation log in /root/virtualmin-install.log
INFO - Checking for fully qualified hostname…
hostname: Unknown host
INFO - Hostname is not fully qualified.
Please enter a fully qualified hostname (for example, example.com): localhost
INFO - Hostname is not fully qualified.
INFO - Hostname localhost is not fully qualified.
Please enter a fully qualified hostname (for example, example.com): kanal77.com.mk
INFO - Hostname OK: fully qualified as kanal77.com.mk
INFO - Primary address detected as 11.11.11.11
11.11.11.11 mail.example.com
INFO - Entry for IP 11.11.11.11 exists in /etc/hosts.
INFO - Updating with new hostname.
INFO - Installing serial number and license key into /etc/virtualmin-license
INFO - Loading OS selection library…
2011-08-10 12:06:17 URL:http://software.virtualmin.com/lib/oschooser.pl [4461/4461] -> “oschooser.pl” [1]
INFO - Download of http://software.virtualmin.com/lib/oschooser.pl Succeeded.
INFO - Loading OS list…
2011-08-10 12:06:17 URL:http://software.virtualmin.com/lib/os_list.txt [3391/3391] -> “os_list.txt” [1]
INFO - Download of http://software.virtualmin.com/lib/os_list.txt Succeeded.
INFO - Operating system name: Debian Linux
INFO - Operating system version: 5.0
INFO - Configuring package manager for Debian Linux 5.0…
INFO - Enabling universe repositories, if not already available…
INFO - Disabling cdrom repositories…
Hit http://security.debian.org lenny/updates Release.gpg
Hit http://security.debian.org lenny/updates Release
Hit http://ftp.nl.debian.org lenny Release.gpg
Hit http://ftp.nl.debian.org lenny Release
Ign http://security.debian.org lenny/updates/main Packages/DiffIndex
Ign http://ftp.nl.debian.org lenny/main Packages/DiffIndex
Ign http://security.debian.org lenny/updates/contrib Packages/DiffIndex
Ign http://security.debian.org lenny/updates/non-free Packages/DiffIndex
Ign http://security.debian.org lenny/updates/main Sources/DiffIndex
Ign http://security.debian.org lenny/updates/contrib Sources/DiffIndex
Ign http://security.debian.org lenny/updates/non-free Sources/DiffIndex
Ign http://ftp.nl.debian.org lenny/contrib Packages/DiffIndex
Ign http://ftp.nl.debian.org lenny/non-free Packages/DiffIndex
Ign http://ftp.nl.debian.org lenny/main Sources/DiffIndex
Ign http://ftp.nl.debian.org lenny/contrib Sources/DiffIndex
Ign http://ftp.nl.debian.org lenny/non-free Sources/DiffIndex
Hit http://ftp.nl.debian.org lenny/main Packages
Hit http://ftp.nl.debian.org lenny/contrib Packages
Hit http://ftp.nl.debian.org lenny/non-free Packages
Hit http://ftp.nl.debian.org lenny/main Sources
Hit http://ftp.nl.debian.org lenny/contrib Sources
Hit http://ftp.nl.debian.org lenny/non-free Sources
Hit http://security.debian.org lenny/updates/main Packages
Hit http://security.debian.org lenny/updates/contrib Packages
Hit http://security.debian.org lenny/updates/non-free Packages
Hit http://security.debian.org lenny/updates/main Sources
Hit http://security.debian.org lenny/updates/contrib Sources
Hit http://security.debian.org lenny/updates/non-free Sources
Reading package lists… Done
INFO - Cleaning up apt headers and packages, so we can start fresh…
INFO -
2011-08-10 12:06:19 URL:http://software.virtualmin.com/lib/apt.conf.noninteractive [243/243] -> “apt.conf.noninteractive” [1]
INFO - Download of http://software.virtualmin.com/lib/apt.conf.noninteractive Succeeded.
INFO - Installing Webmin and Virtualmin package signing keys…
2011-08-10 12:06:20 URL:http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin [1690/1690] -> “RPM-GPG-KEY-virtualmin” [1]
INFO - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-virtualmin Succeeded.
2011-08-10 12:06:20 URL:http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin [1320/1320] -> “RPM-GPG-KEY-webmin” [1]
INFO - Download of http://software.virtualmin.com/lib/RPM-GPG-KEY-webmin Succeeded.
INFO - OK
INFO - OK
INFO - Hit
INFO - Removing Debian standard Webmin package, if they exist…
INFO - Removing Debian apache packages…
INFO - Installing dependencies using command: /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libgd2-xpm libapache2-mod-php5 php5-mysql postfix-tls
…in progress, please wait… |E: Package postfix-tls has no installation candidate /usr/bin/apt-get --config-file apt.conf.noninteractive -y --force-yes install postfix postfix-pcre webmin usermin ruby libapache2-mod-ruby libxml-simple-perl libcrypt-ssleay-perl unzip zip libfcgi-dev bind9 spamassassin spamc procmail libnet-ssleay-perl libpg-perl libdbd-pg-perl libdbd-mysql-perl quota iptables openssl python mailman subversion ruby irb rdoc ri mysql-server mysql-client mysql-common postgresql postgresql-client awstats webalizer dovecot-common dovecot-imapd dovecot-pop3d proftpd libcrypt-ssleay-perl awstats clamav-base clamav-daemon clamav clamav-freshclam clamav-docs clamav-testfiles libapache2-mod-fcgid apache2-suexec-custom scponly apache2 apache2-doc libapache2-svn libsasl2-2 libsasl2-modules sasl2-bin php-pear php5 php5-cgi libgd2-xpm libapache2-mod-php5 php5-mysql postfix-tls failed. Error (if any): 0

Displaying the last 15 lines of /root/virtualmin-install.log to help troubleshoot this problem:
mysql-server is already the newest version.
mysql-client is already the newest version.
mysql-common is already the newest version.
mysql-common set to manually installed.
libsasl2-2 is already the newest version.
php5 is already the newest version.
libgd2-xpm is already the newest version.
libgd2-xpm set to manually installed.
libapache2-mod-php5 is already the newest version.
libapache2-mod-php5 set to manually installed.
php5-mysql is already the newest version.
php5-mysql set to manually installed.
Package postfix-tls is a virtual package provided by:
postfix 2.5.5-1.1+lenny1
You should explicitly select one to install.

FATAL - Fatal Error Occurred: Something went wrong during installation: 0
FATAL - Cannot continue installation.
FATAL - Attempting to remove virtualmin repository configuration, so the installation can be
FATAL - re-attempted after any problems have been resolved.
FATAL - Removing temporary directory and files.
FATAL - If you are unsure of what went wrong, you may wish to review the log
FATAL - in /root/virtualmin-install.log
node22:~#
[/code]
Tried couple of times even i reinstall Debian
Debian Version:

Linux version 2.6.26-2-686 (Debian 2.6.26-25) (dannf@debian.org) (gcc version 4.1.3 20080704 (prerelease) (Debian 4.1.2-25)) #1 SMP Mon Aug 30 07:01:57 UTC 2010

Anyone with some suggestion?

Can you please enclose the screen listing in \[code\]\[/code\] tags? They will get linebreaks and a fixed width font then, making them actually readable. :slight_smile:

Are you trying to install Virtualmin via the install.sh script on a system that is already set up with packages like MySQL and Postfix?

Maybe Eric can give some suggestions here, since he knows this stuff better than me, but from my perspective, I’d always recommend using install.sh on a clean, fresh system with only the bare OS default (plus SSH) installed. The installer will pull any required packages automatically, and exactly those it needs.

Your log indicates there might be some package conflict between what is installed and what Virtualmin tries to install.

Hmm, that may be a bug in the install script, though I thought that had been fixed.

If you edit your install.sh script, and jump to line 98, you’ll see a line that looks like this:

debdeps="$debdeps postfix-tls

Comment that line out (by putting a # in front of it), and then try re-running that script.

Let us know if that works, and if so, I’ll get with Joe about making that change permanent :slight_smile:

-Eric

Just a heads up that the install script has been updated so that this shouldn’t happen any more.

Have a good one!

-Eric